#!/bin/bash

#######################################################
### things to do BEFORE host/user-specific settings ###
#######################################################

### .... ###
### BASH ###
### '''' ###

export HISTCONTROL=$HISTCONTROL${HISTCONTROL+:}ignoredups
export HISTIGNORE=$HISTIGNORE:ls:ll:la:cd
export GLOBIGNORE=.:..

# some more aliases
alias ll='ls -lh'
alias lla='ls -lha'
alias open='gnome-open'
alias diff='diff -u'
alias pad4='sed -e "s/^/    /"'
alias gitka='gitk --all'

### ...... ###
### OTHERS ###
### '''''' ###

export GREP_OPTIONS="--color --binary-files=without-match"

# make green git bash trinket even cooler
export GIT_PS1_SHOWDIRTYSTATE=true
export GIT_PS1_SHOWUNTRACKEDFILES=true

# disable mounting things like SFTP to ~/.gvfs when accessed
# via GIO (used by nautilus etc.)
export GVFS_DISABLE_FUSE=1

# disable the terrible beep sound (only for X; for tty?, blacklist pcspkr)
[[ ${!DISPLAY[@]} ]] &&  xset b off
